/// <reference types="react" />
import { FilterOptionComponentProps } from '../../filters.types';
declare function OpenNeeds(props: FilterOptionComponentProps.Interval): JSX.Element;
declare function OpenUrgentNeeds(props: FilterOptionComponentProps.Interval): JSX.Element;
export declare function TopicRevenue(props: FilterOptionComponentProps.Revenue): JSX.Element;
export declare function SubmittedDate(props: FilterOptionComponentProps.Interval): JSX.Element;
export declare function DueDate(props: FilterOptionComponentProps.Interval): JSX.Element;
export declare function CompletionDate(props: FilterOptionComponentProps.Interval): JSX.Element;
export declare function Points(props: FilterOptionComponentProps.Interval): JSX.Element;
export declare function NumberOfUsers(props: FilterOptionComponentProps.Interval): JSX.Element;
export declare function ScoreReceivedDate(props: FilterOptionComponentProps.Interval): JSX.Element;
export declare const IntervalContent: {
    OpenUrgentNeeds: typeof OpenUrgentNeeds;
    OpenNeeds: typeof OpenNeeds;
    TopicRevenue: typeof TopicRevenue;
    SubmittedDate: typeof SubmittedDate;
    DueDate: typeof DueDate;
    CompletionDate: typeof CompletionDate;
};
export {};
